<?php

$orangeThemes_slider_options= array(
 array(
	"type" => "navigation",
	"name" => "Sliders Settings",
	"slug" => "slider_settings"
),

array(
	"type" => "tab",
	"slug"=>'slider_settings'
),

array(
	"type" => "sub_navigation",
	"subname"=>array(
		array("slug"=>"homepage_slider", "name"=>"Homepage Slider"),
		array("slug"=>"blog_slider", "name"=>"Blog")
		)
),

/* ------------------------------------------------------------------------*
 * HOMEPAGE SLIDER SETTINGS
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=>'homepage_slider'
),


array(
	"type" => "radio",
	"title" => "Custom Homepage slider",
	"id" => $orange_themes_managment->themeslug."_homepage_slider",
	"radio" => array(
		array("title" => "Enable slider:", "value" => "on"),
		array("title" => "Use single image:", "value" => "single"),
		array("title" => "Disable slider:", "value" => "off")
	),
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Slider Category",
	"id" => $orange_themes_managment->themeslug."_homepage_slider_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "title",
	"title" => "Homepage Slide Sequence",
	"info" => "To sort the slides just drag and drop them!",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "slide_order",
	"cat" => $orange_themes_managment->themeslug."_homepage_slider_cat",
	"count" => 7,
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "upload",
	"title" => "Add Image",
	"info" => "Suggested image size is 871x350px",
	"id" => $orange_themes_managment->themeslug."_homepage_image",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "single")
	)
),

array(
	"type" => "title",
	"title" => "Slider Effects",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Title Position",
	"id" => $orange_themes_managment->themeslug."_homepage_title_position",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"top", "name"=>"Top"),
		array("slug"=>"bottom", "name"=>"Bottom"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Direction",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_direction",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"left", "name"=>"Left"),
		array("slug"=>"right", "name"=>"Right"),
		array("slug"=>"alternate", "name"=>"Alternate"),
		array("slug"=>"random", "name"=>"Random"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Effect",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_effect",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"curtain", "name"=>"Curtain"),
		array("slug"=>"zipper", "name"=>"Zipper"),
		array("slug"=>"wave", "name"=>"Wave"),
		array("slug"=>"fountain", "name"=>"Fountain"),
		array("slug"=>"cascade", "name"=>"Cascade"),
		array("slug"=>"fade", "name"=>"Fade"),
		array("slug"=>"random", "name"=>"Random"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Delay",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_delay",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"1000", "name"=>"1 second"),
		array("slug"=>"2000", "name"=>"2 second"),
		array("slug"=>"3000", "name"=>"3 second"),
		array("slug"=>"4000", "name"=>"4 second"),
		array("slug"=>"5000", "name"=>"5 second"),
		array("slug"=>"6000", "name"=>"6 second"),
		array("slug"=>"7000", "name"=>"7 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Strip Count",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_strip_count",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"10", "name"=>"10"),
		array("slug"=>"15", "name"=>"15"),
		array("slug"=>"20", "name"=>"20"),
		array("slug"=>"25", "name"=>"25"),
		array("slug"=>"30", "name"=>"30"),
		array("slug"=>"35", "name"=>"35"),
		array("slug"=>"40", "name"=>"40"),
		array("slug"=>"50", "name"=>"50"),
		array("slug"=>"60", "name"=>"60"),
		array("slug"=>"70", "name"=>"70"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Strip Speed",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_strip_speed",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"100", "name"=>"0.1 second"),
		array("slug"=>"200", "name"=>"0.2 second"),
		array("slug"=>"300", "name"=>"0.3 second"),
		array("slug"=>"400", "name"=>"0.4 second"),
		array("slug"=>"500", "name"=>"0.5 second"),
		array("slug"=>"600", "name"=>"0.6 second"),
		array("slug"=>"700", "name"=>"0.7 second"),
		array("slug"=>"800", "name"=>"0.8 second"),
		array("slug"=>"900", "name"=>"0.9 second"),
		array("slug"=>"1000", "name"=>"1 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Title Speed",
	"id" => $orange_themes_managment->themeslug."_homepage_slide_title_speed",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"100", "name"=>"0.1 second"),
		array("slug"=>"200", "name"=>"0.2 second"),
		array("slug"=>"300", "name"=>"0.3 second"),
		array("slug"=>"400", "name"=>"0.4 second"),
		array("slug"=>"500", "name"=>"0.5 second"),
		array("slug"=>"600", "name"=>"0.6 second"),
		array("slug"=>"700", "name"=>"0.7 second"),
		array("slug"=>"800", "name"=>"0.8 second"),
		array("slug"=>"900", "name"=>"0.9 second"),
		array("slug"=>"1000", "name"=>"1 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_slider", "value" => "on")
	)
),

array(
	"type" => "save",
	"title" => "Save Changes"
),
   
array(
	"type" => "closesubtab"
),

/* ------------------------------------------------------------------------*
 * BLOG SLIDER SETTINGS
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=> "blog_slider"
),

array(
	"type" => "checkbox",
	"title" => "Enable Blog Slider",
	"id" => $orange_themes_managment->themeslug."_slider_enabled",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Slider Category",
	"id" => $orange_themes_managment->themeslug."_blog_slider_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "title",
	"title" => "Blog Slide Sequence",
	"info" => "To sort the slides just drag and drop them!",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "slide_order",
	"cat" => $orange_themes_managment->themeslug."_blog_slider_cat",
	"count" => 5,
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "title",
	"title" => "Slider Effects",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Direction",
	"id" => $orange_themes_managment->themeslug."_blog_slide_direction",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"left", "name"=>"Left"),
		array("slug"=>"right", "name"=>"Right"),
		array("slug"=>"alternate", "name"=>"Alternate"),
		array("slug"=>"random", "name"=>"Random"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Effect",
	"id" => $orange_themes_managment->themeslug."_blog_slide_effect",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"curtain", "name"=>"Curtain"),
		array("slug"=>"zipper", "name"=>"Zipper"),
		array("slug"=>"wave", "name"=>"Wave"),
		array("slug"=>"fountain", "name"=>"Fountain"),
		array("slug"=>"cascade", "name"=>"Cascade"),
		array("slug"=>"fade", "name"=>"Fade"),
		array("slug"=>"random", "name"=>"Random"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Delay",
	"id" => $orange_themes_managment->themeslug."_blog_slide_delay",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"1000", "name"=>"1 second"),
		array("slug"=>"2000", "name"=>"2 second"),
		array("slug"=>"3000", "name"=>"3 second"),
		array("slug"=>"4000", "name"=>"4 second"),
		array("slug"=>"5000", "name"=>"5 second"),
		array("slug"=>"6000", "name"=>"6 second"),
		array("slug"=>"7000", "name"=>"7 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Strip Count",
	"id" => $orange_themes_managment->themeslug."_blog_slide_strip_count",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"10", "name"=>"10"),
		array("slug"=>"15", "name"=>"15"),
		array("slug"=>"20", "name"=>"20"),
		array("slug"=>"25", "name"=>"25"),
		array("slug"=>"30", "name"=>"30"),
		array("slug"=>"35", "name"=>"35"),
		array("slug"=>"40", "name"=>"40"),
		array("slug"=>"50", "name"=>"50"),
		array("slug"=>"60", "name"=>"60"),
		array("slug"=>"70", "name"=>"70"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Strip Speed",
	"id" => $orange_themes_managment->themeslug."_blog_slide_strip_speed",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"100", "name"=>"0.1 second"),
		array("slug"=>"200", "name"=>"0.2 second"),
		array("slug"=>"300", "name"=>"0.3 second"),
		array("slug"=>"400", "name"=>"0.4 second"),
		array("slug"=>"500", "name"=>"0.5 second"),
		array("slug"=>"600", "name"=>"0.6 second"),
		array("slug"=>"700", "name"=>"0.7 second"),
		array("slug"=>"800", "name"=>"0.8 second"),
		array("slug"=>"900", "name"=>"0.9 second"),
		array("slug"=>"1000", "name"=>"1 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "select",
	"title" => "Slide Title Speed",
	"id" => $orange_themes_managment->themeslug."_blog_slide_title_speed",
	"options"=>array(
		array("slug"=>"default", "name"=>"Default"), 
		array("slug"=>"100", "name"=>"0.1 second"),
		array("slug"=>"200", "name"=>"0.2 second"),
		array("slug"=>"300", "name"=>"0.3 second"),
		array("slug"=>"400", "name"=>"0.4 second"),
		array("slug"=>"500", "name"=>"0.5 second"),
		array("slug"=>"600", "name"=>"0.6 second"),
		array("slug"=>"700", "name"=>"0.7 second"),
		array("slug"=>"800", "name"=>"0.8 second"),
		array("slug"=>"900", "name"=>"0.9 second"),
		array("slug"=>"1000", "name"=>"1 second"),
		),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_slider_enabled", "value" => "on")
	)
),

array(
	"type" => "save",
	"title" => "Save Changes"
),
   
array(
	"type" => "closesubtab"
),

array(
	"type" => "closetab"
)
 
);

$orange_themes_managment->add_options($orangeThemes_slider_options);
?>